Bug 242003 - Cannot boot installer from SATA AHCI DVD
Cannot boot installer from SATA AHCI DVD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 04:26 EDT by Max Kanat-Alexander
Modified: 2008-05-19 17:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 17:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Kanat-Alexander 2007-06-01 04:26:00 EDT
I have a SATA (not PATA!) DVD+RW connected to an Intel ICH8R controller set to
AHCI mode in the BIOS.

When the controller is in AHCI mode, I cannot boot the DVD. I get a blank black
screen for a while, and then I boot from the hard drive instead.

When I switch the controller to IDE mode, ISOLINUX starts just fine, and I can
do the installation.

GRUB and the Fedora kernel recognize the controller in AHCI mode just fine. It
just seems to be booting from the DVD that's a problem.

lcpci says the controller is:
00:1f.2 SATA controller: Intel Corporation 82801HR/HO/HH (ICH8R/DO/DH) 6 port
SATA AHCI Controller (rev 02)

The DVD+RW drive is a Plextor PX-755SA.
Comment 1 Jeremy Katz 2007-06-04 13:53:40 EDT
Are there any BIOS updates available for your motherboard?  It sounds a lot like
a BIOS bug to me...
Comment 2 Max Kanat-Alexander 2007-06-14 04:49:54 EDT
There were several BIOS versions after mine (I have an ASUS P5B Deluxe), and I
installed the latest update.

My machine still cannot boot the FC7 x86_64 DVD when the SATA controller is in
AHCI mode. I have the same symptoms as the initial comment.
Comment 3 Max Kanat-Alexander 2007-06-28 02:51:53 EDT
Wait, why is this NOTABUG? I marked it as ASSIGNED, I could swear.
Comment 4 Bug Zapper 2008-05-14 08:42:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Max Kanat-Alexander 2008-05-17 21:20:36 EDT
This is working just fine in Fedora 9.
Comment 6 Peter van Egdom 2008-05-19 17:47:45 EDT
Thank you for reporting back. Closing bug as per comment #5.

Note You need to log in before you can comment on or make changes to this bug.